right click build image using docker ext from docker file 
 kubectl get configmap
kubectl create cm app-settings --from-env-file=settings.config
kubectl get configmap
kubectl get cm app-settings  -o yaml
kubectl get pod
kubectl apply -f node.deployment.yml
kubectl get pod
kubectl port-forward node-configmap-577f5d6b98-8d5xs 9000
http://localhost:9000/
kubectl exec node-configmap-577f5d6b98-8d5xs -it sh
cd /etc/config
ls 

=============== Secrets =======================

kubectl create secret generic db-passwords --from-literal=db-password='password' --from-literal=db-root-password='password'

kubectl get secrets
kubectl create -f mongo.deployment.yml
kubectl get pods
studio 3t 
kubectl exec mongo-0 -it sh 
cat /etc/db-passwords